Update or Hold The Fort?

By • March 3, 2014

To the best of my memory, I cannot remember a single update to any OS, DAW or sampler engine that did not provoke a range of reports running the gamut from “Great, totally fixed the problems I was having” to “Running like butter here” to “totally screwed up my rig, crashing like crazy, how do I revert to the pervious version?”

Not a single one, major update or incremental. This drives people absolutely crazy, especially with the incremental updates. After all, with major updates new features are being added and obviously much changes under the hood so the potential for trouble kind of announces itself. The more adventurous users, those who like to live on the cutting edge, go full steam ahead and balls to the wall and rely on backups made with Apple’s Time Machine, Carbon Copy Cloner, Super Duper or Windows 7 Backup and Restore or Windows 8’s new File History or Crashplan to return the computer to a previous state, among others.

The thing is, is that when you are on the cutting edge, you run the risk that you will end up bleeding. Most users therefore take a “wait and see” attitude and read voluminous reports of exactly what gets better for people and what gets worse and based on the preponderance of negative versus positive decide whether or not to update at that point in time. Those who are prudent almost never do a 1.0 release, and with good reason. Traditionally, they are a mess.

People who use computers for an important tool in making their living certainly know better than to update in the middle of a project. That is a quick trip to crazy town and courting disaster in a way that nobody with common sense would risk.

But sooner or later almost everyone finds himself/herself with some gap of time when they can consider doing so. At that point, one can either choose to go for it or to follow the age-old maxim, “if it isn’t broken, don’t fix it.”

I used to be the guy that chose the latter as often as not. Now I no longer can be that guy, because part of my living is helping those who take the plunge and writing articles like this. So I have to be a fairly early adopter. But since I continue to compose and arrange music as a part of my living, it scares the living you know what out of me.

Some OS and DAW versions eventually reach a stage of development where they are at their optimal state and leaving them behind can be tough. I will talk about ones that I know from personal experience. Most Mac users I know consider the last version of Snow Leopard, 10.6.8, to be a gold standard of Mac OS. It was fast and stable and a lot of people chose to stick with it, eschewing 10.7 (Lion), 10.8 (Mountain Lion), and now 10.9 (Mavericks). BTW, no more pussycats :)

Which is fine, until you buy a new computer that will not run it or a new version of your DAW that will not run under it. Pretty much all the present Intel-based Macs can, but as all Macs are now 64 bit and Snow Leopard is the last OS that also can run in 32bit, Apple has announced it no longer will support it, and a recent Safari security leak fix is only for OS beginning with 10.7. (It should be said that leak is not present under Snow Leopard.)

http://readwrite.com/2014/02/27/apple-snow-leopard-support-osx-mac – awesm=~oxcYRDOlv0CnjV

Want to transition to Logic Pro X and take advantage of all the nifty new? Well, sir or madam, say goodbye to Snow Leopard, Lion, and even Mountain Lion versions earlier than 10.8.4. It is totally 64 bit with no 32 bit option for itself or plug-ins and Apple doesn’t want you using any stinking old OS with it.

Pro Tools 11? It also requires 10.8.4. Cubase 7. A little more flexibility, 10.7 or newer. Digital Performer 8? You are still OK with 10.6.8 or newer, but it is hard to believe that will not change in the not too distant future.

How about sample engines? If you want to run Kontakt 5, once again kiss Snow Leopard goodbye, as it requires 10.7 or newer.

EastWest Play 4 surprisingly bucks this trend, allowing you to use 10.5 or newer. BUT, it won’t run properly in Cubase 6 and as previously stated, Cubase 7 requires 10.7 or newer. Gotcha!

The PC world moves slower, as Microsoft supports older OS much longer than Apple and OS upgrades are much less frequent. Microsoft still even supports Windows XP, although most of today’s stuff needs at least Windows 7, but I have not seen any products that say they require Windows 8.

I have a Windows 7 slave PC for running my more demanding samples libraries. When I boot it up I get a notice that there are Windows 7 updates available. Since I know next to nothing about PCs, the first time this happened I called up my PC guru and asked, “When should I install the updates?”

He asked me, “How is it running?”

I replied, “Perfect.”

He said, “Never!”

But bear in mind, all I install that is new on my PC are newer versions of Vienna Ensemble Pro 5, Play 4, and Kontakt 5, so I am good, at least for now.

The bottom line is that unless you are willing to take a pledge to yourself and say, “My system is fine and it is staying the way it is. Any new software or hardware purchases that require my updating it are off the table” then sooner or later, updates of your OS, your DAW, your sample engines, and your hardware are in your future.

When should you do it? When you have to? When you want to?

In the famous words of Clint Eastwood’s Dirty Harry, “You’ve got to ask yourself one question. Do I feel lucky? Well, do ya, punk?”

Leave a Comment